%define		_class		Net
%define		_subclass	Portscan
%define		upstream_name	%{_class}_%{_subclass}

Name:		php-pear-%{upstream_name}
Version:	1.0.3
Release:	%mkrel 11
Summary:	Portscanner utilities
License:	PHP License
Group:		Development/PHP
URL:		https://pear.php.net/package/Net_Portscan/
Source0:	https://pear.php.net/get/%{upstream_name}-%{version}.tar.bz2
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear

%description
The Net_Portscan package allows one to perform basic portscanning
functions with PHP. It supports checking an individual port or
checking a whole range of ports on a machine.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%doc %{upstream_name}-%{version}/README*
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml


%changelog
* Tue Mar 22 2022 umeabot <umeabot> 1.0.3-11.mga9
+ Revision: 1818031
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.3-10.mga8
+ Revision: 1499120
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.0.3-9.mga7
+ Revision: 1273734
- Mageia 7 Mass Rebuild

* Wed Feb 17 2016 luigiwalser <luigiwalser> 1.0.3-8.mga6
+ Revision: 964628
- fix file list the correct way

* Wed Feb 17 2016 umeabot <umeabot> 1.0.3-7.mga6
+ Revision: 964365
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.3-6.mga5
+ Revision: 749452
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.3-5.mga5
+ Revision: 687384
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.3-4.mga4
+ Revision: 517096
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.3-3.mga3
+ Revision: 377025
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 29 2011 spuhler <spuhler> 1.0.3-2.mga1
+ Revision: 43925
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Net_Portscan


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-2mdv2011.0
+ Revision: 613735
- the mass rebuild of 2010.1 packages

* Sun Jan 10 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.3-1mdv2010.1
+ Revision: 489153
- update to new version 1.0.3

* Sun Nov 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.2-11mdv2010.1
+ Revision: 468714
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 1.0.2-10mdv2010.0
+ Revision: 441490
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-9mdv2009.1
+ Revision: 322496
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-8mdv2009.0
+ Revision: 236993
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-7mdv2007.0
+ Revision: 82409
- Import php-pear-Net_Portscan

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-1mdk
- initial Mandriva package (PLD import)

